Bug 853524 - [abrt] pacemaker-1.1.8-1.el7: strlen: Process /usr/libexec/pacemaker/stonithd was killed by signal 11 (SIGSEGV)
[abrt] pacemaker-1.1.8-1.el7: strlen: Process /usr/libexec/pacemaker/stonithd...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pacemaker (Show other bugs)
7.0
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Andrew Beekhof
Cluster QE
abrt_hash:ef59611d16d9e19cfa8f487a0a2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 15:37 EDT by Nate Straz
Modified: 2014-06-16 02:30 EDT (History)
0 users

See Also:
Fixed In Version: pacemaker-1.1.8-3.el7
Doc Type: Bug Fix
Doc Text:
Cause: The software assumed a variable would never be NULL and dereferenced it. Consequence: The program crashed. Fix: Check for NULL first. Result: Program no longer crashes
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-16 02:30:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.64 KB, text/plain)
2012-08-31 15:37 EDT, Nate Straz
no flags Details
File: environ (386 bytes, text/plain)
2012-08-31 15:37 EDT, Nate Straz
no flags Details
File: backtrace (10.91 KB, text/plain)
2012-08-31 15:37 EDT, Nate Straz
no flags Details
File: limits (1.29 KB, text/plain)
2012-08-31 15:37 EDT, Nate Straz
no flags Details
File: cgroup (164 bytes, text/plain)
2012-08-31 15:37 EDT, Nate Straz
no flags Details
File: maps (15.87 KB, text/plain)
2012-08-31 15:37 EDT, Nate Straz
no flags Details
File: dso_list (2.84 KB, text/plain)
2012-08-31 15:37 EDT, Nate Straz
no flags Details
File: build_ids (1.36 KB, text/plain)
2012-08-31 15:37 EDT, Nate Straz
no flags Details
File: var_log_messages (13.93 KB, text/plain)
2012-08-31 15:37 EDT, Nate Straz
no flags Details
File: open_fds (593 bytes, text/plain)
2012-08-31 15:37 EDT, Nate Straz
no flags Details

  None (edit)
Description Nate Straz 2012-08-31 15:37:16 EDT
Description of problem:
After bringing down the main ethernet interface to test recovery and fencing, stonithd segfaulted on the node with the failed ethernet interface.

Version-Release number of selected component:
pacemaker-1.1.8-1.el7

Additional info:
libreport version: 2.0.12
abrt_version:   2.0.11
backtrace_rating: 4
cmdline:        /usr/libexec/pacemaker/stonithd
crash_function: strlen
kernel:         3.5.0-0.24.el7.x86_64

truncated backtrace:
:Thread no. 1 (9 frames)
: #0 strlen at ../sysdeps/x86_64/strlen.S
: #1 __strdup at strdup.c
: #2 create_remote_stonith_op at remote.c
: #3 initiate_remote_stonith_op at remote.c
: #4 stonith_command at commands.c
: #5 st_ipc_dispatch at main.c
: #6 _process_request_ at ipcs.c
: #7 qb_ipcs_dispatch_connection_request at ipcs.c
: #8 gio_read_socket at mainloop.c
Comment 1 Nate Straz 2012-08-31 15:37:19 EDT
Created attachment 608627 [details]
File: core_backtrace
Comment 2 Nate Straz 2012-08-31 15:37:20 EDT
Created attachment 608628 [details]
File: environ
Comment 3 Nate Straz 2012-08-31 15:37:22 EDT
Created attachment 608629 [details]
File: backtrace
Comment 4 Nate Straz 2012-08-31 15:37:24 EDT
Created attachment 608630 [details]
File: limits
Comment 5 Nate Straz 2012-08-31 15:37:25 EDT
Created attachment 608631 [details]
File: cgroup
Comment 6 Nate Straz 2012-08-31 15:37:27 EDT
Created attachment 608632 [details]
File: maps
Comment 7 Nate Straz 2012-08-31 15:37:29 EDT
Created attachment 608633 [details]
File: dso_list
Comment 8 Nate Straz 2012-08-31 15:37:30 EDT
Created attachment 608634 [details]
File: build_ids
Comment 9 Nate Straz 2012-08-31 15:37:32 EDT
Created attachment 608635 [details]
File: var_log_messages
Comment 10 Nate Straz 2012-08-31 15:37:33 EDT
Created attachment 608636 [details]
File: open_fds
Comment 11 Andrew Beekhof 2012-09-03 23:24:16 EDT
A related patch has been committed upstream:
  https://github.com/beekhof/pacemaker/commit/85dfc9c

with subject:

   High: Fencing: Prevent use-of-NULL when fencing is initiated by stonith_admin

Further details (if any):

Note You need to log in before you can comment on or make changes to this bug.